# This software is licensed under the GPL, Version 2, June 1991
#
# Copyright (c) 2002 Peter Jentsch <lemuren@web.de>
#
# see LICENSE for details
#

class Message:
    def __init__(self, title, text):
        self.title = title
        self.text = text
        
INVALID_MAIL_HOST = 'invalid_mail_host'
ENTRY_ADDED = 'entry_added'
REPLY_ADDED = 'reply_added'
MOD_REPLY_ADDED = 'mod_reply_added'
COMMENT_ADDED = 'comment_added'
MOD_COMMENT_ADDED = 'mod_comment_added'
NO_XML_SUPPORT = 'no_xml_support'
REMIND_ENTRY = 'remind_entry'
REMIND_ALL = 'remind_all'
FORWARD = 'forward'
FORWARD_FAILED = 'forward_failed'
MOD_FORWARD_GONE = 'mod_forward_gone'
MOD_FORWARD_NEW = 'mod_forward_new'
MESSAGE_EDIT = 'message_edit'
BASIC_AUTH_LOGOUT = 'basic_auth_logout'

messages = {INVALID_MAIL_HOST: Message('Invalid MailHost',
                                       'The MailHost object could not be found!'), 
            ENTRY_ADDED: Message('New Entry',
                                 'Your Entry has been added. Thanks!'),
            REPLY_ADDED: Message('New Reply',
                                 'Your Reply has been added. Thanks!'),
            MOD_REPLY_ADDED: Message('Reply',
                                 'Reply saved.'),
            COMMENT_ADDED: Message('New Comment',
                                   'Your Comment has been added. Thanks!'),
            MOD_COMMENT_ADDED: Message('Comment',
                                   'Comment saved.'),
            NO_XML_SUPPORT: Message('No XML Support',
                                    'The current system configuration doesn\' support xml-export.'),
            REMIND_ENTRY: Message('Reminder',
                                  'A reminder for the current entry has been sent.'),
            REMIND_ALL: Message('Reminders',
                                'Reminders for all overdue entries in this ReQueztForum have been sent.'),
            FORWARD: Message('Forward',
                             'The entry has been forwarded. The owner(s) will be notified.'),
            FORWARD_FAILED: Message('Forwarding failed',
                                    'The entry could not be forwarded. Please try again or contact the  ' \
                                    + 'administrator of this ReQuetzForum'),
            MOD_FORWARD_GONE: Message('Forwarded by moderator',
                                 'The entry has been forwarded and will not be presented again to it\'s former owner.'),
            MOD_FORWARD_NEW: Message('Forwared by moderator',
                                     'The entry has been forwarded to a new editor. The new editor ' \
                                     + 'will be notified.'),
            MESSAGE_EDIT: Message('Changes saved',
                                  'Your changes for this entry have been saved.'),
            BASIC_AUTH_LOGOUT: Message('Logout',
                                       'Please close all current browser windows to log out.')
           }
