# This software is licensed under the GPL, Version 2, June 1991
#
# Copyright (c) 2002 Peter Jentsch <lemuren@web.de>
#
# see LICENSE for details
#

from AccessControl.SecurityInfo import ClassSecurityInfo
from AccessControl.Permissions import view_management_screens
from Globals import DTMLFile, InitializeClass
from OFS.Folder import Folder
from OFS.ObjectManager import UNIQUE
from Products.OrderedFolder.OrderedFolder import OrderedFolder
from Permissions import View


##manage_addReQueztViewsFolderForm = DTMLFile('manage_addReQueztViewsFolderForm', globals())
##
##
##def manage_addReQueztViewsFolder(self, id, title='', REQUEST=None):
##    '''manage_addTopicsFolder(self, id, title='', REQUEST=None) --> add a ReQuezt Topic Folder;
##       return None or HTML'''
##
##    folder = ReQueztViewsFolder()
##    folder.id = id
##    folder.title = title
##    self._setObject(folder.id, folder)
##    if REQUEST:
##        return self.manage_main(self, REQUEST, update_menu=1)
##

class ReQueztViewsFolder(OrderedFolder):
    '''ReQueztViewsFolder class - a container for the ReQuezt Views.'''

    meta_type = 'ReQuezt View Folder'
    icon = 'misc_/ReQuezt/ReQueztViewsFolder'
    meta_types = ()
    manage_options = filter(lambda x: x['action'] != 'manage_subObjectTypes', OrderedFolder.manage_options)
    security = ClassSecurityInfo()

    security.declareProtected(view_management_screens, 'manage_main')
    
    security.declareProtected(View, '__getitem__')
    def __getitem__(self, key):
        v = getattr(self, key, None)
        if v is not None: return v
        return self.aq_parent[key].__of__(self)

ReQueztViewsFolder__replaceable__ = UNIQUE

InitializeClass(ReQueztViewsFolder)
