# This software is licensed under the GPL, Version 2, June 1991
#
# Copyright (c) 2002 Peter Jentsch <lemuren@web.de>
#
# see LICENSE for details
#

import os
from Globals import package_home, ImageFile
from AccessControl.SecurityInfo import allow_module
import ReQueztForum
import ReQueztViewsFolder
import ReQueztView
import Events
import Permissions
import Skins
import ActionDefs
import ColumnDefs


__doc__ = """ ReQuezt Product """
__version__='$Revision: 1.3 $'[11:-2]  

def initialize(context):

    context.registerClass(
        ReQueztForum.ReQueztForum,
        constructors=(ReQueztForum.manage_addReQueztForm,
                      ReQueztForum.manage_addReQuezt),
        )

    registerClass(ReQueztViewsFolder.ReQueztViewsFolder, 
        ReQueztView.ReQueztView,
        constructors=(ReQueztView.manage_addReQueztViewForm,
                      ReQueztView.manage_addReQueztView),
        )
    registerClass(ReQueztViewsFolder.ReQueztViewsFolder,
        ReQueztView.ReQueztTopic,
        constructors=(ReQueztView.manage_addReQueztTopicForm,
                      ReQueztView.manage_addReQueztTopic),
        )
    registerClass(ActionDefs.ActionDefContainer, 
        ActionDefs.ActionDef,
        constructors =(ActionDefs.manage_addActionDefForm,
                       ActionDefs.manage_addActionDef)
                  )         
    registerClass(ColumnDefs.ColumnDefContainer, 
        ColumnDefs.ColumnDef,
        constructors =(ColumnDefs.manage_addColumnDefForm,
                       ColumnDefs.manage_addColumnDef)
                  )

allow_module('Products.%s.%s' % (__name__, Events.__name__))
allow_module('Products.%s.%s' % (__name__, Permissions.__name__))
methods={ 'mailhost_list': ReQueztForum.ReQueztForum.mailhost_list,
          'getReQueztSkinIds': Skins.getReQueztSkinIds}

# load all the icons automatically
misc_ = {}
path = os.path.join(package_home(globals()), 'www/')

for file in os.listdir(path):
    if file[-3:] in ['gif', 'png']:
        misc_[file[:-4]] = ImageFile('www/%s' %file, globals())

def registerClass(ContainerClass, ElementClass, constructors=()):
    '''registerClass(ContainerClass, ElementClass, constructors=()) --> Register a new Elementclass; return None'''
    dict = { 'name'   : ElementClass.meta_type,
             'action' : 'manage_addProduct/ReQuezt/%s' % constructors[0].__name__ }

    for constructor in constructors:
        setattr(ContainerClass, constructor.__name__, constructor)

    ContainerClass.meta_types = ContainerClass.meta_types + (dict,)
    ContainerClass.selected_meta_types = ContainerClass.selected_meta_types + (dict['name'],)

